Bug 844455 - when consuming many entitlements, subscription-manager unsubscribe --all throws SSLTimeoutError: timed out
when consuming many entitlements, subscription-manager unsubscribe --all thro...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity high
: beta
: 7.0
Assigned To: candlepin-bugs
Entitlement Bugs
: Regression
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-07-30 13:40 EDT by John Sefler
Modified: 2014-06-17 20:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:05:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-07-30 13:40:26 EDT
Description of problem:
When consuming many entitlements, an unregister or unsubscribe --all fails with a "Network error, unable to connect to server."  rhsm.log shows: SSLTimeoutError: timed out

Version-Release number of selected component (if applicable):
[root@jsefler-rhel59 ~]# rpm -q subscription-manager python-rhsm
subscription-manager-1.0.11-1.git.3.b3c4a8b.el5
python-rhsm-1.0.4-1.git.6.19a55da.el5


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel59 ~]# subscription-manager register --username testuser1 --password password --org admin
The system has been registered with id: 65fc7ddd-8502-4b24-8f5b-5986dd380100 
[root@jsefler-rhel59 ~]# subscription-manager list --all --avail | grep "Pool Id"
Pool Id:              	8a90f81d38d64e440138d65073ed0349
Pool Id:              	8a90f81d38d64e440138d650771803d7
Pool Id:              	8a90f81d38d64e440138d6506a7c0238
Pool Id:              	8a90f81d38d64e440138d65075e7039a
Pool Id:              	8a90f81d38d64e440138d650793c0430
Pool Id:              	8a90f81d38d64e440138d6507852040c
Pool Id:              	8a90f81d38d64e440138d6507f6c04d5
Pool Id:              	8a90f81d38d64e440138d650790d0427
Pool Id:              	8a90f81d38d64e440138d6507e9304b1
Pool Id:              	8a90f81d38d64e440138d6506a0c0232
Pool Id:              	8a90f81d38d64e440138d65079e6044b
Pool Id:              	8a90f81d38d64e440138d6506d470279
Pool Id:              	8a90f81d38d64e440138d6507476035b
Pool Id:              	8a90f81d38d64e440138d65076d403cd
Pool Id:              	8a90f81d38d64e440138d6507ad10466
Pool Id:              	8a90f81d38d64e440138d6506f4f02a1
Pool Id:              	8a90f81d38d64e440138d65072af030a
Pool Id:              	8a90f81d38d64e440138d650750d0376
Pool Id:              	8a90f81d38d64e440138d6507b7a0478
Pool Id:              	8a90f81d38d64e440138d7713f2178a9
Pool Id:              	8a90f81d38d64e440138d6d214784f16
Pool Id:              	8a90f81d38d64e440138d650753b037f
Pool Id:              	8a90f81d38d64e440138d6507ed404ba
Pool Id:              	8a90f81d38d64e440138d65070a902d4
Pool Id:              	8a90f81d38d64e440138d650705502c8
Pool Id:              	8a90f81d38d64e440138d6507f3704cc
Pool Id:              	8a90f81d38d64e440138d6506b530244
Pool Id:              	8a90f81d38d64e440138d65079ab0442
Pool Id:              	8a90f81d38d64e440138d650767303b7
Pool Id:              	8a90f81d38d64e440138d6d1b1ed4eed
Pool Id:              	8a90f81d38d64e440138d6d24f514f2c
Pool Id:              	8a90f81d38d64e440138d6d1debe4f01
Pool Id:              	8a90f81d38d64e440138d6507302031c
Pool Id:              	8a90f81d38d64e440138d6507a5e045d
Pool Id:              	8a90f81d38d64e440138d6506def0287
Pool Id:              	8a90f81d38d64e440138d6506c100254
Pool Id:              	8a90f81d38d64e440138d650764503ac
Pool Id:              	8a90f81d38d64e440138d6506fad02ae
Pool Id:              	8a90f81d38d64e440138d650778b03eb
Pool Id:              	8a90f81d38d64e440138d65078960415
Pool Id:              	8a90f81d38d64e440138d65077cf03f6
Pool Id:              	8a90f81d38d64e440138d65075ba0391
Pool Id:              	8a90f81d38d64e440138d65074a40364
Pool Id:              	8a90f81d38d64e440138d65073a90340
Pool Id:              	8a90f81d38d64e440138d6507c310480
[root@jsefler-rhel59 ~]# subscription-manager subscribe --pool 8a90f81d38d64e440138d65073ed0349 --pool 8a90f81d38d64e440138d650771803d7 --pool 8a90f81d38d64e440138d6506a7c0238 --pool 8a90f81d38d64e440138d65075e7039a --pool 8a90f81d38d64e440138d650793c0430 --pool 8a90f81d38d64e440138d6507852040c --pool 8a90f81d38d64e440138d6507f6c04d5 --pool 8a90f81d38d64e440138d650790d0427 --pool 8a90f81d38d64e440138d6507e9304b1 --pool 8a90f81d38d64e440138d6506a0c0232 --pool 8a90f81d38d64e440138d65079e6044b --pool 8a90f81d38d64e440138d6506d470279 --pool 8a90f81d38d64e440138d6507476035b --pool 8a90f81d38d64e440138d65076d403cd --pool 8a90f81d38d64e440138d6507ad10466 --pool 8a90f81d38d64e440138d6506f4f02a1 --pool 8a90f81d38d64e440138d65072af030a --pool 8a90f81d38d64e440138d650750d0376 --pool 8a90f81d38d64e440138d6507b7a0478 --pool 8a90f81d38d64e440138d7713f2178a9 --pool 8a90f81d38d64e440138d6d214784f16 --pool 8a90f81d38d64e440138d650753b037f --pool 8a90f81d38d64e440138d6507ed404ba --pool 8a90f81d38d64e440138d65070a902d4 --pool 8a90f81d38d64e440138d650705502c8 --pool 8a90f81d38d64e440138d6507f3704cc --pool 8a90f81d38d64e440138d6506b530244 --pool 8a90f81d38d64e440138d65079ab0442 --pool 8a90f81d38d64e440138d650767303b7 --pool 8a90f81d38d64e440138d6d1b1ed4eed --pool 8a90f81d38d64e440138d6d24f514f2c --pool 8a90f81d38d64e440138d6d1debe4f01 --pool 8a90f81d38d64e440138d6507302031c --pool 8a90f81d38d64e440138d6507a5e045d --pool 8a90f81d38d64e440138d6506def0287 --pool 8a90f81d38d64e440138d6506c100254 --pool 8a90f81d38d64e440138d650764503ac --pool 8a90f81d38d64e440138d6506fad02ae --pool 8a90f81d38d64e440138d650778b03eb --pool 8a90f81d38d64e440138d65078960415 --pool 8a90f81d38d64e440138d65077cf03f6 --pool 8a90f81d38d64e440138d65075ba0391 --pool 8a90f81d38d64e440138d65074a40364 --pool 8a90f81d38d64e440138d65073a90340 --pool 8a90f81d38d64e440138d6507c310480
Successfully consumed a subscription for: Awesome OS for S390X
Successfully consumed a subscription for: Stackable with Awesome OS for x86_64
Successfully consumed a subscription for: Awesome OS Modifier
Successfully consumed a subscription for: Awesome OS for i686
Successfully consumed a subscription for: Awesome OS for x86
Successfully consumed a subscription for: Awesome OS for ppc64
Successfully consumed a subscription for: Shared File System
Successfully consumed a subscription for: Awesome OS for x86
Successfully consumed a subscription for: Management Add-On
Successfully consumed a subscription for: Awesome OS Modifier
Successfully consumed a subscription for: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Successfully consumed a subscription for: Awesome OS Server Basic
Successfully consumed a subscription for: Awesome OS for S390
Successfully consumed a subscription for: Stackable with Awesome OS for x86_64
Successfully consumed a subscription for: Awesome OS with up to 4 virtual guests
Successfully consumed a subscription for: Awesome OS Server Basic (multi-entitlement)
Successfully consumed a subscription for: Awesome OS Server Bundled (2 Sockets, Standard Support)
Successfully consumed a subscription for: Awesome OS for i386
Successfully consumed a subscription for: Awesome OS with unlimited virtual guests
Successfully consumed a subscription for: TestExempt Product Subscription
Successfully consumed a subscription for: Awesome OS for systems with sockets value="unknown"
Successfully consumed a subscription for: Awesome OS for i386
Successfully consumed a subscription for: Management Add-On
Successfully consumed a subscription for: Awesome OS Workstation Basic
Successfully consumed a subscription for: Awesome OS Workstation Basic
Successfully consumed a subscription for: Shared File System
Successfully consumed a subscription for: Awesome OS Server Bundled
Successfully consumed a subscription for: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Successfully consumed a subscription for: Awesome OS for x86_64
Successfully consumed a subscription for: Awesome OS for systems with sockets value=0
Successfully consumed a subscription for: Awesome OS for systems with sockets value=null
Successfully consumed a subscription for: Awesome OS for systems with no sockets
Successfully consumed a subscription for: Awesome OS Server Bundled (2 Sockets, Standard Support)
Successfully consumed a subscription for: Awesome OS with up to 4 virtual guests
Successfully consumed a subscription for: Awesome OS Server Basic
Successfully consumed a subscription for: Awesome OS Server Bundled
Successfully consumed a subscription for: Awesome OS for x86_64
Successfully consumed a subscription for: Awesome OS Server Basic (multi-entitlement)
Successfully consumed a subscription for: Awesome OS for ia64
Successfully consumed a subscription for: Awesome OS for ppc64
Successfully consumed a subscription for: Awesome OS for ia64
Successfully consumed a subscription for: Awesome OS for i686
Successfully consumed a subscription for: Awesome OS for S390
Successfully consumed a subscription for: Awesome OS for S390X
Successfully consumed a subscription for: Awesome OS with unlimited virtual guests
[root@jsefler-rhel59 ~]# subscription-manager unsubscribe --all
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.
[root@jsefler-rhel59 ~]# 

  
Actual results:
above

Expected results:
This machine has been unsubscribed from 45 subscriptions


NOTE THAT I GET THE SAME Network error IF I CALL subscription-manager unregister, HOWEVER I END UP WITH A CONSUMER CERT THAT HAS ACTUALLY BEEN DELETED SERVER SIDE LEAVING ME WITH A BAD CONSUMER CERT THAT WILL GET CLEANED UP BY THE rhsmcertd's NEXT CERT FREQUENCY UPDATE.


Additional info:
[root@jsefler-rhel59 ~]# tail -f /var/log/rhsm/rhsm.log

2012-07-30 13:26:27,355 [INFO]  @connection.py:492 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-07-30 13:26:27,356 [INFO]  @connection.py:505 - Connection Built: host: jsefler-f14-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2012-07-30 13:26:27,356 [DEBUG]  @profile.py:95 - Loading current RPM profile.
2012-07-30 13:26:27,614 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:26:27,615 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:26:27,616 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:26:27,616 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:26:27,617 [DEBUG]  @connection.py:338 - Making request: GET /candlepin/
2012-07-30 13:26:27,696 [DEBUG]  @connection.py:351 - Response status: 200
2012-07-30 13:26:27,702 [DEBUG]  @connection.py:522 - Server supports the following resources:
2012-07-30 13:26:27,704 [DEBUG]  @connection.py:523 - {'': '/', 'hypervisors': '/hypervisors', 'serials': '/serials', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2012-07-30 13:26:27,705 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:26:27,706 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:26:27,707 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:26:27,707 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:26:27,708 [DEBUG]  @connection.py:338 - Making request: GET /candlepin/status
2012-07-30 13:26:27,771 [DEBUG]  @connection.py:351 - Response status: 200
2012-07-30 13:26:27,844 [DEBUG]  @managercli.py:397 - Versions: {'subscription manager': '1.0.11-1.git.3.b3c4a8b.el5', 'server-type': 'subscription management service', 'python-rhsm': '1.0.4-1.git.6.19a55da.el5', 'candlepin': '0.7.4-1'} 
2012-07-30 13:26:27,845 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:26:27,846 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:26:27,846 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:26:27,846 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:26:27,847 [DEBUG]  @connection.py:338 - Making request: DELETE /candlepin/consumers/65fc7ddd-8502-4b24-8f5b-5986dd380100/entitlements
2012-07-30 13:26:55,988 [INFO]  @connection.py:492 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-07-30 13:26:55,989 [INFO]  @connection.py:505 - Connection Built: host: jsefler-f14-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2012-07-30 13:26:56,229 [DEBUG]  @cert_sorter.py:106 - Sorting product and entitlement cert status for: 2012-07-30 17:26:56.229033+00:00
2012-07-30 13:26:56,269 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['100000000000006', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '99000', '27060', '69', '37090', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000060', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '88888', '917571', '37070']
2012-07-30 13:26:56,958 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8491658746253489131
2012-07-30 13:26:56,958 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:26:56,959 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 697325213959087233
2012-07-30 13:26:56,959 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 0 covered by entitlement
2012-07-30 13:26:56,959 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3880276294721988434
2012-07-30 13:26:56,959 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,959 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3150003823219579220
2012-07-30 13:26:56,959 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,960 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5483007766680159183
2012-07-30 13:26:56,960 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:26:56,960 [DEBUG]  @cert_sorter.py:253 - Checking stack validity: 1
2012-07-30 13:26:56,960 [DEBUG]  @cert_sorter.py:265 -   system has 2 sockets, 4 covered by entitlements
2012-07-30 13:26:56,960 [DEBUG]  @cert_sorter.py:217 -   stack is valid
2012-07-30 13:26:56,961 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 7291154464752003690
2012-07-30 13:26:56,961 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,961 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 9079852371510594634
2012-07-30 13:26:56,961 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,961 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 7830205037164987606
2012-07-30 13:26:56,962 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,962 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5621887765936502993
2012-07-30 13:26:56,962 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:26:56,962 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2277324081261788857
2012-07-30 13:26:56,962 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,962 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 1470935414691952038
2012-07-30 13:26:56,963 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5944676696256184441
2012-07-30 13:26:56,963 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3336397654261776124
2012-07-30 13:26:56,963 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,963 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5917489707045750930
2012-07-30 13:26:56,963 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,964 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8808345910178897101
2012-07-30 13:26:56,964 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:26:56,964 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:26:56,964 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 1546384262200785227
2012-07-30 13:26:56,964 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2468661026457454986
2012-07-30 13:26:56,964 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,965 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3607028372496700481
2012-07-30 13:26:56,965 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,965 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 1628020129383558068
2012-07-30 13:26:56,965 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,965 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 6084404537841516566
2012-07-30 13:26:56,966 [DEBUG]  @cert_sorter.py:201 -   stack ID: 2
2012-07-30 13:26:56,966 [DEBUG]  @cert_sorter.py:253 - Checking stack validity: 2
2012-07-30 13:26:56,966 [DEBUG]  @cert_sorter.py:265 -   system has 2 sockets, 32 covered by entitlements
2012-07-30 13:26:56,966 [DEBUG]  @cert_sorter.py:217 -   stack is valid
2012-07-30 13:26:56,966 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3954778042121579759
2012-07-30 13:26:56,966 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:26:56,967 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4950789506795217574
2012-07-30 13:26:56,967 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,967 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 663654701334936048
2012-07-30 13:26:56,967 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8430863439732791676
2012-07-30 13:26:56,967 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:26:56,968 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:26:56,968 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 6255358405376516959
2012-07-30 13:26:56,968 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2568222138940275402
2012-07-30 13:26:56,968 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,968 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2804778266952783414
2012-07-30 13:26:56,968 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:26:56,969 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2476470306182711261
2012-07-30 13:26:56,969 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8264158345081784436
2012-07-30 13:26:56,969 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4693174993184118462
2012-07-30 13:26:56,969 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,969 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 911971925710283839
2012-07-30 13:26:56,970 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,970 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2557377968151767664
2012-07-30 13:26:56,970 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 7211461363051955485
2012-07-30 13:26:56,970 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 479690733844293289
2012-07-30 13:26:56,970 [DEBUG]  @cert_sorter.py:201 -   stack ID: 2
2012-07-30 13:26:56,971 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:26:56,971 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8413380073648315447
2012-07-30 13:26:56,971 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 9035859084300142107
2012-07-30 13:26:56,971 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5766578576414174203
2012-07-30 13:26:56,971 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:26:56,972 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:26:56,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4134725931322990543
2012-07-30 13:26:56,972 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3809501993641934217
2012-07-30 13:26:56,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 9101183804460264460
2012-07-30 13:26:56,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4056322099579333315
2012-07-30 13:26:56,973 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,973 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5200119748283986437
2012-07-30 13:26:56,973 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,973 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4827528323764298086
2012-07-30 13:26:56,973 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:26:56,973 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2830368030207926166
2012-07-30 13:26:56,974 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:26:56,974 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3666400300533030864
2012-07-30 13:26:56,974 [DEBUG]  @cert_sorter.py:113 - valid entitled products: ['100000000000060', '100000000000006', '1000000000000023', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000011', '100000000000020', '88888', '37065', '99000', '37069', '37068', '37080', '27060', '37067', '37060', '37070']
2012-07-30 13:26:56,974 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-07-30 13:26:56,974 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-07-30 13:26:56,975 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['1', '100000000000004', '1144', '100000000000007', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '100000000000022', '100000000000009', '37090', '917571', '100000000000008', '69', '37062']
2012-07-30 13:26:56,975 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-07-30 13:26:56,975 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-07-30 13:26:56,975 [DEBUG]  @cert_sorter.py:119 - valid stacks: ['1', '2']
2012-07-30 13:26:57,628 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:26:57,629 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:26:57,629 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:26:57,630 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:26:57,630 [DEBUG]  @connection.py:338 - Making request: GET /candlepin/consumers/65fc7ddd-8502-4b24-8f5b-5986dd380100/certificates/serials
2012-07-30 13:26:58,055 [DEBUG]  @connection.py:351 - Response status: 200
2012-07-30 13:26:58,815 [INFO]  @certlib.py:213 - certs updated:
Total updates: 0
Found (local) serial# [8491658746253489131, 697325213959087233, 3880276294721988434, 3150003823219579220, 5483007766680159183, 7291154464752003690, 9079852371510594634, 7830205037164987606, 5621887765936502993, 2277324081261788857, 1470935414691952038, 5944676696256184441, 3336397654261776124, 5917489707045750930, 8808345910178897101, 1546384262200785227, 2468661026457454986, 3607028372496700481, 1628020129383558068, 6084404537841516566, 3954778042121579759, 4950789506795217574, 663654701334936048, 8430863439732791676, 6255358405376516959, 2568222138940275402, 2804778266952783414, 2476470306182711261, 8264158345081784436, 4693174993184118462, 911971925710283839, 2557377968151767664, 7211461363051955485, 479690733844293289, 8413380073648315447, 9035859084300142107, 5766578576414174203, 4134725931322990543, 3809501993641934217, 9101183804460264460, 4056322099579333315, 5200119748283986437, 4827528323764298086, 2830368030207926166, 3666400300533030864]
Expected (UEP) serial# [3954778042121579759, 5483007766680159183, 1628020129383558068, 4056322099579333315, 2830368030207926166, 1546384262200785227, 5200119748283986437, 9101183804460264460, 911971925710283839, 4950789506795217574, 5621887765936502993, 5766578576414174203, 8413380073648315447, 3880276294721988434, 5917489707045750930, 4693174993184118462, 8264158345081784436, 3666400300533030864, 3809501993641934217, 9079852371510594634, 9035859084300142107, 7291154464752003690, 4134725931322990543, 7211461363051955485, 2468661026457454986, 2568222138940275402, 8808345910178897101, 697325213959087233, 663654701334936048, 6255358405376516959, 7830205037164987606, 2557377968151767664, 3607028372496700481, 2277324081261788857, 8430863439732791676, 4827528323764298086, 479690733844293289, 3150003823219579220, 6084404537841516566, 3336397654261776124, 8491658746253489131, 2804778266952783414, 1470935414691952038, 2476470306182711261, 5944676696256184441]
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (deleted):
  <NONE>
2012-07-30 13:26:58,821 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:26:58,822 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:26:58,822 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:26:58,823 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:26:58,823 [DEBUG]  @connection.py:338 - Making request: GET /candlepin/consumers/65fc7ddd-8502-4b24-8f5b-5986dd380100
2012-07-30 13:26:59,885 [DEBUG]  @connection.py:351 - Response status: 200
2012-07-30 13:26:59,896 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:26:59,897 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:26:59,898 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:26:59,898 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:26:59,899 [DEBUG]  @connection.py:338 - Making request: GET /candlepin/consumers/65fc7ddd-8502-4b24-8f5b-5986dd380100/release
2012-07-30 13:27:00,015 [DEBUG]  @connection.py:351 - Response status: 200
2012-07-30 13:27:00,806 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:00,807 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:00,951 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:00,951 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,010 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,010 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,042 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,042 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,130 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,130 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,218 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,218 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,248 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,248 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,366 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,367 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,571 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,571 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,661 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,661 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,748 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,749 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:01,979 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG1', skipping content: tagged-content
2012-07-30 13:27:01,979 [DEBUG]  @repolib.py:190 - Missing required tag 'TAG2', skipping content: tagged-content
2012-07-30 13:27:02,066 [INFO]  @repolib.py:156 - repos updated: 67
2012-07-30 13:27:02,187 [DEBUG]  @cert_sorter.py:106 - Sorting product and entitlement cert status for: 2012-07-30 17:27:02.187053+00:00
2012-07-30 13:27:02,229 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['100000000000006', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '99000', '27060', '69', '37090', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000060', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '88888', '917571', '37070']
2012-07-30 13:27:02,967 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8491658746253489131
2012-07-30 13:27:02,967 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:27:02,968 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 697325213959087233
2012-07-30 13:27:02,968 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 0 covered by entitlement
2012-07-30 13:27:02,968 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3880276294721988434
2012-07-30 13:27:02,968 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,968 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3150003823219579220
2012-07-30 13:27:02,969 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,969 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5483007766680159183
2012-07-30 13:27:02,969 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:27:02,969 [DEBUG]  @cert_sorter.py:253 - Checking stack validity: 1
2012-07-30 13:27:02,970 [DEBUG]  @cert_sorter.py:265 -   system has 2 sockets, 4 covered by entitlements
2012-07-30 13:27:02,970 [DEBUG]  @cert_sorter.py:217 -   stack is valid
2012-07-30 13:27:02,970 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 7291154464752003690
2012-07-30 13:27:02,970 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,970 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 9079852371510594634
2012-07-30 13:27:02,971 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,971 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 7830205037164987606
2012-07-30 13:27:02,971 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,971 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5621887765936502993
2012-07-30 13:27:02,972 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:27:02,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2277324081261788857
2012-07-30 13:27:02,972 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 1470935414691952038
2012-07-30 13:27:02,972 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5944676696256184441
2012-07-30 13:27:02,973 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3336397654261776124
2012-07-30 13:27:02,973 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,973 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5917489707045750930
2012-07-30 13:27:02,973 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,973 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8808345910178897101
2012-07-30 13:27:02,974 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:27:02,974 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:27:02,974 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 1546384262200785227
2012-07-30 13:27:02,974 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2468661026457454986
2012-07-30 13:27:02,974 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,975 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3607028372496700481
2012-07-30 13:27:02,975 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,975 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 1628020129383558068
2012-07-30 13:27:02,975 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,975 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 6084404537841516566
2012-07-30 13:27:02,976 [DEBUG]  @cert_sorter.py:201 -   stack ID: 2
2012-07-30 13:27:02,976 [DEBUG]  @cert_sorter.py:253 - Checking stack validity: 2
2012-07-30 13:27:02,976 [DEBUG]  @cert_sorter.py:265 -   system has 2 sockets, 32 covered by entitlements
2012-07-30 13:27:02,976 [DEBUG]  @cert_sorter.py:217 -   stack is valid
2012-07-30 13:27:02,976 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3954778042121579759
2012-07-30 13:27:02,977 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:27:02,977 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4950789506795217574
2012-07-30 13:27:02,977 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,977 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 663654701334936048
2012-07-30 13:27:02,977 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8430863439732791676
2012-07-30 13:27:02,978 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:27:02,978 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:27:02,978 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 6255358405376516959
2012-07-30 13:27:02,978 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2568222138940275402
2012-07-30 13:27:02,978 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,978 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2804778266952783414
2012-07-30 13:27:02,979 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 128 covered by entitlement
2012-07-30 13:27:02,979 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2476470306182711261
2012-07-30 13:27:02,979 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8264158345081784436
2012-07-30 13:27:02,979 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4693174993184118462
2012-07-30 13:27:02,980 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,980 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 911971925710283839
2012-07-30 13:27:02,980 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,980 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2557377968151767664
2012-07-30 13:27:02,980 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 7211461363051955485
2012-07-30 13:27:02,981 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 479690733844293289
2012-07-30 13:27:02,981 [DEBUG]  @cert_sorter.py:201 -   stack ID: 2
2012-07-30 13:27:02,981 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:27:02,981 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8413380073648315447
2012-07-30 13:27:02,981 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 9035859084300142107
2012-07-30 13:27:02,982 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5766578576414174203
2012-07-30 13:27:02,982 [DEBUG]  @cert_sorter.py:201 -   stack ID: 1
2012-07-30 13:27:02,982 [DEBUG]  @cert_sorter.py:209 -   stack already found to be valid
2012-07-30 13:27:02,982 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4134725931322990543
2012-07-30 13:27:02,982 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,982 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3809501993641934217
2012-07-30 13:27:02,983 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 9101183804460264460
2012-07-30 13:27:02,983 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4056322099579333315
2012-07-30 13:27:02,983 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,983 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 5200119748283986437
2012-07-30 13:27:02,983 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,984 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 4827528323764298086
2012-07-30 13:27:02,984 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-07-30 13:27:02,984 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 2830368030207926166
2012-07-30 13:27:02,984 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-07-30 13:27:02,984 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3666400300533030864
2012-07-30 13:27:02,985 [DEBUG]  @cert_sorter.py:113 - valid entitled products: ['100000000000060', '100000000000006', '1000000000000023', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000011', '100000000000020', '88888', '37065', '99000', '37069', '37068', '37080', '27060', '37067', '37060', '37070']
2012-07-30 13:27:02,985 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-07-30 13:27:02,985 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-07-30 13:27:02,985 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['1', '100000000000004', '1144', '100000000000007', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '100000000000022', '100000000000009', '37090', '917571', '100000000000008', '69', '37062']
2012-07-30 13:27:02,986 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-07-30 13:27:02,986 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-07-30 13:27:02,986 [DEBUG]  @cert_sorter.py:119 - valid stacks: ['1', '2']
2012-07-30 13:27:02,990 [INFO]  @cache.py:160 - Checking current system info against cache: /var/lib/rhsm/facts/facts.json
2012-07-30 13:27:02,991 [INFO]  @cache.py:162 - System data has changed, updating server.
2012-07-30 13:27:02,991 [DEBUG]  @facts.py:148 - Updating facts on server
2012-07-30 13:27:02,992 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:27:02,992 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:27:02,993 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:27:02,993 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:27:02,994 [DEBUG]  @connection.py:338 - Making request: PUT /candlepin/consumers/65fc7ddd-8502-4b24-8f5b-5986dd380100
2012-07-30 13:27:03,395 [DEBUG]  @connection.py:351 - Response status: 204
2012-07-30 13:27:03,398 [DEBUG]  @connection.py:317 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-07-30 13:27:03,398 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-07-30 13:27:03,399 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-07-30 13:27:03,399 [DEBUG]  @connection.py:299 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-07-30 13:27:03,400 [DEBUG]  @connection.py:338 - Making request: GET /candlepin/
2012-07-30 13:27:03,451 [DEBUG]  @connection.py:351 - Response status: 200
2012-07-30 13:27:03,452 [DEBUG]  @connection.py:522 - Server supports the following resources:
2012-07-30 13:27:03,452 [DEBUG]  @connection.py:523 - {'': '/', 'hypervisors': '/hypervisors', 'serials': '/serials', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2012-07-30 13:27:03,452 [INFO]  @cache.py:215 - Server does not support packages, skipping profile upload.
2012-07-30 13:27:03,482 [INFO]  @cache.py:160 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2012-07-30 13:27:03,483 [INFO]  @cache.py:175 - No changes.
2012-07-30 13:27:27,877 [ERROR]  @managercli.py:114 - Unable to perform unsubscribe due to the following exception: timed out
2012-07-30 13:27:27,878 [ERROR]  @managercli.py:115 - timed out
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 1316, in _do_command
    total = self.cp.unbindAll(consumer)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 736, in unbindAll
    return self.conn.request_delete(method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 406, in request_delete
    return self._request("DELETE", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 346, in _request
    response = conn.getresponse()
  File "/usr/lib64/python2.4/httplib.py", line 872, in getresponse
    response.begin()
  File "/usr/lib64/python2.4/httplib.py", line 336, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python2.4/httplib.py", line 294, in _read_status
    line = self.fp.readline()
  File "/usr/lib64/python2.4/socket.py", line 325, in readline
    data = recv(1)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Connection.py", line 217, in read
    return self._read_bio(size)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Connection.py", line 202, in _read_bio
    return m2.ssl_read(self.ssl, size, self._timeout)
SSLTimeoutError: timed out
Comment 4 Adrian Likins 2012-08-01 12:35:37 EDT
If we are getting conflicting goals with the ssl time outs, one potential way to fix 834108 (times on proxy connect) maybe be to see if we can set different time outs for the ssl sockets, vs the regular sockets that proxy connect is using (well, most of the time, it could be an ssl connection as well). 

I know python2.4 isn't great about fine grained socket timeouts, but possibly something to explore.
Comment 5 John Sefler 2012-10-05 15:42:53 EDT
Problem still occurs against subscription-manager-1.0.21-1.el5

A cheap work-around is to repeatedly unsubscribe --all until all the entitlements are returned and the timeout goes away...


[root@jsefler-rhel59 ~]# ls -l /etc/pki/entitlement/ | grep pem | wc -l
120
[root@jsefler-rhel59 ~]# subscription-manager unsubscribe --all
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.
[root@jsefler-rhel59 ~]# ls -l /etc/pki/entitlement/ | grep pem | wc -l
120
[root@jsefler-rhel59 ~]# subscription-manager unsubscribe --all
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.
[root@jsefler-rhel59 ~]# ls -l /etc/pki/entitlement/ | grep pem | wc -l
120
[root@jsefler-rhel59 ~]# subscription-manager unsubscribe --all
Runtime Error Batch update returned unexpected row count from update [0]; actual row count: 0; expected: 1 at org.hibernate.jdbc.Expectations$BasicExpectation.checkBatched:85
[root@jsefler-rhel59 ~]# ls -l /etc/pki/entitlement/ | grep pem | wc -l
120
[root@jsefler-rhel59 ~]# subscription-manager unsubscribe --all
This machine has been unsubscribed from 0 subscriptions
[root@jsefler-rhel59 ~]# ls -l /etc/pki/entitlement/ | grep pem | wc -l
0
[root@jsefler-rhel59 ~]# subscription-manager list --consumed
No consumed subscription pools to list
Comment 7 John Sefler 2012-10-28 22:50:36 EDT
I wonder if this bug is manifesting itself in stage as bug 868898.
Comment 8 Bryan Kearney 2013-10-10 12:48:29 EDT
Can not reproduce, moving to ON_QA

subscription-manager attach --pool  0000000041a339560141a339d8bc1141 --pool  0000000041a339560141a339d97311d0 --pool  0000000041a339560141a339be700597 --pool  0000000041a339560141a339cc550bf0 --pool  0000000041a339560141a339cd4f0c4e --pool  0000000041a339560141a339ca630af3 --pool  0000000041a339560141a339c1d507e9 --pool  0000000041a339560141a339cd0f0c28 --pool  0000000041a339560141a339d0040d92 --pool  0000000041a339560141a339d83510e7 --pool  0000000041a339560141a339d7951091 --pool  0000000041a339560141a339c0ea0755 --pool  0000000041a339560141a339d0360da8 --pool  0000000041a339560141a339cf3c0d3f --pool  0000000041a339560141a339c9fd0abb --pool  0000000041a339560141a339bd8e04f9 --pool  0000000041a339560141a339c6130a1c --pool  0000000041a339560141a339d6710fe4 --pool  0000000041a339560141a339bd6c04e1 --pool  0000000041a339560141a339c6990a65 --pool  0000000041a339560141a339ce070c9e --pool  0000000041a339560141a339c09f071c --pool  0000000041a339560141a339d85710ff --pool  0000000041a339560141a339bec305d8 --pool  0000000041a339560141a339cc770c02 --pool  0000000041a339560141a339c02a06df --pool  0000000041a339560141a339d4fb0f1d --pool  0000000041a339560141a339cfa10d67 --pool  0000000041a339560141a339c06e070f --pool  0000000041a339560141a339d2340e54 --pool  0000000041a339560141a339d4b50f0a --pool  0000000041a339560141a339bdaf0511 --pool  0000000041a339560141a339bfc50694 --pool  0000000041a339560141a339cad60b17 --pool  0000000041a339560141a339d3760e98 --pool  0000000041a339560141a339cc330bda --pool  0000000041a339560141a339d93011a0 --pool  0000000041a339560141a339d9da1233 --pool  0000000041a339560141a339d47c0ef6 --pool  0000000041a339560141a339ccca0c14 --pool  0000000041a339560141a339cd7a0c61 --pool  0000000041a339560141a339bd4b04c9 --pool  0000000041a339560141a339d9b71212 --pool  0000000041a339560141a339c27c0850 --pool  0000000041a339560141a339cbc70ba3 --pool  0000000041a339560141a339d89a112b --pool  0000000041a339560141a339d0680dba --pool  0000000041a339560141a339c2380826 --pool  0000000041a339560141a339bf300622 --pool  0000000041a339560141a339c3d208f4 --pool  0000000041a339560141a339c1b207d4 --pool  0000000041a339560141a339d55d0f4b --pool  0000000041a339560141a339cfd20d7d --pool  0000000041a339560141a339c19307c0 --pool  0000000041a339560141a339c5d109f5 --pool  0000000041a339560141a339d52b0f37 --pool  0000000041a339560141a339bfa4067b --pool  0000000041a339560141a339d09b0dd0 --pool  0000000041a339560141a339d8ed1162 --pool  0000000041a339560141a339c8910a89 --pool  0000000041a339560141a339cd2f0c3c --pool  0000000041a339560141a339c14e0794 --pool  0000000041a339560141a339c04d06f7 --pool  0000000041a339560141a339c2180813 --pool  0000000041a339560141a339cb180b3c --pool  0000000041a339560141a339d5870f5d --pool  0000000041a339560141a339bf640648 --pool  0000000041a339560141a339ce490cca --pool  0000000041a339560141a339d4420ee2 --pool  0000000041a339560141a339c4160917 --pool  0000000041a339560141a339d5a90f71 --pool  0000000041a339560141a339bf830661 --pool  0000000041a339560141a339bea205bf --pool  0000000041a339560141a339c4c50964 --pool  0000000041a339560141a339c2df0888 --pool  0000000041a339560141a339d6410fbd --pool  0000000041a339560141a339c1f507ff --pool  0000000041a339560141a339c32208ad --pool  0000000041a339560141a339ce7b0ce9 --pool  0000000041a339560141a339d0ff0de6
Successfully attached a subscription for: Awesome OS Workstation Basic
Successfully attached a subscription for: Awesome OS Server Basic (multi-entitlement)
Successfully attached a subscription for: Multi-Attribute Stackable (16 cores, 4 sockets, 8GB RAM)
Successfully attached a subscription for: Awesome OS for x86
Successfully attached a subscription for: Stackable with Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Successfully attached a subscription for: RAM Limiting Package (2GB stackable)
Successfully attached a subscription for: Stackable with Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS for All Arch (all per arch content)
Successfully attached a subscription for: Awesome OS Workstation Basic
Successfully attached a subscription for: Awesome OS Server Basic
Successfully attached a subscription for: Stackable Cores Package (8 cores)
Successfully attached a subscription for: Awesome OS for i686
Successfully attached a subscription for: Awesome OS for All Arch (all per arch content)
Successfully attached a subscription for: Awesome OS with up to 4 virtual guests
Successfully attached a subscription for: Multi-Attribute (non-stackable) (24 cores, 6 sockets, 8GB RAM)
Successfully attached a subscription for: Awesome OS with unlimited virtual guests
Successfully attached a subscription for: Awesome OS Server Bundled
Successfully attached a subscription for: Multi-Attribute (multi-entitlement only) (8 cores, 4GB)
Successfully attached a subscription for: Management Add-On
Successfully attached a subscription for: Awesome OS for All Arch (just x86_64 content)
Successfully attached a subscription for: Multi-Attribute Stackable (2 sockets)
Successfully attached a subscription for: Awesome OS Server Basic (multi-entitlement)
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB, 2 Cores)
Successfully attached a subscription for: Awesome OS for ppc64
Successfully attached a subscription for: Multi-Attribute Stackable (4 cores)
Successfully attached a subscription for: Awesome OS Instance Based (Standard Support)
Successfully attached a subscription for: Awesome OS for All Arch (excpt for x86_64 content)
Successfully attached a subscription for: Multi-Attribute Stackable (4 cores)
Successfully attached a subscription for: Awesome OS Server Bundled (2 Sockets, Standard Support)
Successfully attached a subscription for: Awesome OS for S390X
Successfully attached a subscription for: Multi-Attribute (multi-entitlement only) (8 cores, 4GB)
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB)
Successfully attached a subscription for: Awesome OS with up to 4 virtual guests
Successfully attached a subscription for: Awesome OS Server Bundled (2 Sockets, Standard Support)
Successfully attached a subscription for: Awesome OS for ia64
Successfully attached a subscription for: Awesome OS Modifier
Successfully attached a subscription for: Awesome OS Modifier
Successfully attached a subscription for: Awesome OS for S390
Successfully attached a subscription for: Awesome OS for ia64
Successfully attached a subscription for: Awesome OS for All Arch (just x86_64 content)
Successfully attached a subscription for: Multi-Attribute (non-stackable) (24 cores, 6 sockets, 8GB RAM)
Successfully attached a subscription for: Awesome OS Server Basic (data center)
Successfully attached a subscription for: RAM Limiting Package (4GB stackable)
Successfully attached a subscription for: Awesome OS for x86
Successfully attached a subscription for: Awesome OS Server Basic
Successfully attached a subscription for: Awesome OS for All Arch (excpt for x86_64 content)
Successfully attached a subscription for: RAM Limiting Package (2GB stackable)
Successfully attached a subscription for: Multi-Attribute Stackable (16 cores, 4 sockets, 8GB RAM)
Successfully attached a subscription for: RAM Limiting Package (8GB)
Successfully attached a subscription for: RAM/Cores Package (8GB, 4 cores)
Successfully attached a subscription for: Awesome OS for S390
Successfully attached a subscription for: Awesome OS for x86_64
Successfully attached a subscription for: Cores Package (26 cores)
Successfully attached a subscription for: Management Add-On
Successfully attached a subscription for: Awesome OS for i386
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB)
Successfully attached a subscription for: Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS Server Basic (data center)
Successfully attached a subscription for: Awesome OS with unlimited virtual guests
Successfully attached a subscription for: Awesome OS for ppc64
Successfully attached a subscription for: Stackable Cores Package (8 cores)
Successfully attached a subscription for: Multi-Attribute Stackable (2 sockets)
Successfully attached a subscription for: RAM/Cores Package (8GB, 4 cores)
Successfully attached a subscription for: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Successfully attached a subscription for: Awesome OS for S390X
Successfully attached a subscription for: Multi-Attribute (non-stackable) (6 cores, 8GB)
Successfully attached a subscription for: Awesome OS for All Arch (x86content)
Successfully attached a subscription for: Awesome OS for i386
Successfully attached a subscription for: Shared File System
Quantity '1' is not a multiple of instance multiplier '2'
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB, 2 Cores)
Successfully attached a subscription for: Multi-Attribute (non-stackable) (6 cores, 8GB)
Successfully attached a subscription for: Shared File System
Successfully attached a subscription for: RAM Limiting Package (4GB stackable)
Successfully attached a subscription for: Awesome OS Server Bundled
Successfully attached a subscription for: Cores Package (26 cores)
Successfully attached a subscription for: RAM Limiting Package (8GB)
Successfully attached a subscription for: Awesome OS for All Arch (x86content)
Successfully attached a subscription for: Awesome OS for i686
[root@bkearney ~]# subscription-manager remove --all
79 subscriptions removed at the server.
79 local certificates have been deleted.
[root@bkearney ~]#
Comment 9 Sharath Dwaral 2013-10-11 11:56:23 EDT
# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.29-1
subscription-manager: 1.10.2-1.el7
python-rhsm: 1.10.2-1.el7

# subscription-manager subscribe --pool 8a8d01e041a7c68b0141a7c6f0a50422 --pool 8a8d01e041a7c68b0141a7c6f17f0472 --pool 8a8d01e041a7c68b0141a7c6f21d04a0 --pool 8a8d01e041a7c68b0141a7c6f40a0540 --pool 8a8d01e041a7c68b0141a7c6f54705a5 --pool 8a8d01e041a7c68b0141a7c6f5dd05d6 --pool 8a8d01e041a7c68b0141a7c6f67d0603 --pool 8a8d01e041a7c68b0141a7c6f71b0637 --pool 8a8d01e041a7c68b0141a7c6f84c0690 --pool 8a8d01e041a7c68b0141a7c6f8ca06bb --pool 8a8d01e041a7c68b0141a7c6f96106eb --pool 8a8d01e041a7c68b0141a7c6ff8d072c --pool 8a8d01e041a7c68b0141a7c6ffc9074c --pool 8a8d01e041a7c68b0141a7c701b307cb --pool 8a8d01e041a7c68b0141a7c7022c07f4 --pool 8a8d01e041a7c68b0141a7c7047108a3 --pool 8a8d01e041a7c68b0141a7c7052108cc --pool 8a8d01e041a7c68b0141a7c705b308ec --pool 8a8d01e041a7c68b0141a7c706870910 --pool 8a8d01e041a7c68b0141a7c707b50957 --pool 8a8d01e041a7c68b0141a7c70885097d --pool 8a8d01e041a7c68b0141a7c703f4087c --pool 8a8d01e041a7c68b0141a7c709b709c9 --pool 8a8d01e041a7c68b0141a7c70b670a36 --pool 8a8d01e041a7c68b0141a7c70bf40a5b --pool 8a8d01e041a7c68b0141a7c70d920aa7 --pool 8a8d01e041a7c68b0141a7c710910b64 --pool 8a8d01e041a7c68b0141a7c711ad0bb6 --pool 8a8d01e041a7c68b0141a7c712650bdb --pool 8a8d01e041a7c68b0141a7c713960c2f --pool 8a8d01e041a7c68b0141a7c714c20c7d --pool 8a8d01e041a7c68b0141a7c716750cd3 --pool 8a8d01e041a7c68b0141a7c716f70cf9 --pool 8a8d01e041a7c68b0141a7c7196e0dc8 --pool 8a8d01e041a7c68b0141a7c71a7c0e29 --pool 8a8d01e041a7c68b0141a7c71b180e5f --pool 8a8d01e041a7c68b0141a7c71c000e89 --pool 8a8d01e041a7c68b0141a7c71c8f0eef --pool 8a8d01e041a7c68b0141a7c71ca00ef8 --pool 8a8d01e041a7c68b0141a7c71cc20f0e --pool 8a8d01e041a7c68b0141a7c71d470f69 --pool 8a8d01e041a7c68b0141a7c71e83100a --pool 8a8d01e041a7c68b0141a7c7217310ce --pool 8a8d01e041a7c68b0141a7c721ce10fd --pool 8a8d01e041a7c68b0141a7c721ef110f --pool 8a8d01e041a7c68b0141a7c722111123 --pool 8a8d01e041a7c68b0141a7c72232113d --pool 8a8d01e041a7c68b0141a7c7227e1172 --pool 8a8d01e041a7c68b0141a7c722d9118e --pool 8a8d01e041a7c68b0141a7c723dc1221 --pool 8a8d01e041a7c68b0141a7c723fc122b --pool 8a8d01e041a7c68b0141a7c7240d124b --pool 8a8d01e041a7c68b0141a7c7242f125b --pool 8a8d01e041a7c68b0141a7c724691298 --pool 8a8d01e041a7c68b0141a7c7249312ac --pool 8a8d01e041a7c68b0141a7c724a312cb --pool 8a8d01e041a7c68b0141a7c724b412df --pool 8a8d01e041a7c68b0141a7c724c612f3 --pool 8a8d01e041a7c68b0141a7c726031391 --pool 8a8d01e041a7c68b0141a7c7262413a3 --pool 8a8d01e041a7c68b0141a7c7263d13b1 --pool 8a8d01e041a7c68b0141a7c7265613bf --pool 8a8d01e041a7c68b0141a7c7266f13cd --pool 8a8d01e041a7c68b0141a7c7268713e6 --pool 8a8d01e041a7c68b0141a7c726fd1414 --pool 8a8d01e041a7c68b0141a7c72716142d --pool 8a8d01e041a7c68b0141a7c72737143a --pool 8a8d01e041a7c68b0141a7c71e380fd1 --pool 8a8d01e041a7c68b0141a7c726db1403 --pool 8a8d01e041a7c68b0141a7c726b113fb --pool 8a8d01e041a7c68b0141a7c7269813ed --pool 8a8d01e041a7c68b0141a7c72450127e --pool 8a8d01e041a7c68b0141a7c721a410e8 --pool 8a8d01e041a7c68b0141a7c7215110bb --pool 8a8d01e041a7c68b0141a7c71df60fa5 --pool 8a8d01e041a7c68b0141a7c71d040f3b --pool 8a8d01e041a7c68b0141a7c71c4c0eb7 --pool 8a8d01e041a7c68b0141a7c7181b0d4c --pool 8a8d01e041a7c68b0141a7c7112f0b8e --pool 8a8d01e041a7c68b0141a7c70e8a0af0 --pool 8a8d01e041a7c68b0141a7c707230936 --pool 8a8d01e041a7c68b0141a7c6f7ba0667
Successfully attached a subscription for: Multi-Attribute (multi-entitlement only) (8 cores, 4GB)
Successfully attached a subscription for: Multi-Attribute (multi-entitlement only) (8 cores, 4GB)
Successfully attached a subscription for: Multi-Attribute (non-stackable) (24 cores, 6 sockets, 8GB RAM)
Successfully attached a subscription for: Multi-Attribute (non-stackable) (24 cores, 6 sockets, 8GB RAM)
Successfully attached a subscription for: Multi-Attribute (non-stackable) (6 cores, 8GB)
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB)
Successfully attached a subscription for: Multi-Attribute Stackable (16 cores, 4 sockets, 8GB RAM)
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB, 2 Cores)
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB, 2 Cores)
Successfully attached a subscription for: Multi-Attribute Stackable (2 GB)
Successfully attached a subscription for: Multi-Attribute Stackable (16 cores, 4 sockets, 8GB RAM)
Successfully attached a subscription for: Multi-Attribute Stackable (4 cores)
Successfully attached a subscription for: Multi-Attribute Stackable (4 cores)
Successfully attached a subscription for: Multi-Attribute Stackable (2 sockets)
Successfully attached a subscription for: Stackable Cores Package (8 cores)
Successfully attached a subscription for: Stackable Cores Package (8 cores)
Successfully attached a subscription for: Cores Package (26 cores)
Successfully attached a subscription for: RAM Limiting Package (2GB stackable)
Successfully attached a subscription for: RAM/Cores Package (8GB, 4 cores)
Successfully attached a subscription for: RAM/Cores Package (8GB, 4 cores)
Successfully attached a subscription for: RAM Limiting Package (2GB stackable)
Successfully attached a subscription for: Multi-Attribute Stackable (2 sockets)
Successfully attached a subscription for: RAM Limiting Package (4GB stackable)
Successfully attached a subscription for: RAM Limiting Package (4GB stackable)
Successfully attached a subscription for: RAM Limiting Package (8GB)
Successfully attached a subscription for: Shared File System
Successfully attached a subscription for: Management Add-On
Successfully attached a subscription for: Awesome OS with unlimited virtual guests
Successfully attached a subscription for: Management Add-On
Successfully attached a subscription for: Awesome OS with unlimited virtual guests
Successfully attached a subscription for: Awesome OS with up to 4 virtual guests
Successfully attached a subscription for: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Successfully attached a subscription for: Awesome OS with up to 4 virtual guests
Successfully attached a subscription for: Awesome OS for x86
Successfully attached a subscription for: Awesome OS for ppc64
Successfully attached a subscription for: Awesome OS for ia64
Successfully attached a subscription for: Awesome OS for x86
Successfully attached a subscription for: Awesome OS for ppc64
Successfully attached a subscription for: Awesome OS for ia64
Successfully attached a subscription for: Stackable with Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS for All Arch (just x86_64 content)
Successfully attached a subscription for: Awesome OS for All Arch (x86content)
Successfully attached a subscription for: Awesome OS for All Arch (all per arch content)
Successfully attached a subscription for: Awesome OS for i686
Successfully attached a subscription for: Awesome OS for All Arch (excpt for x86_64 content)
Successfully attached a subscription for: Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS for i686
Successfully attached a subscription for: Virt Only Awesome OS for i386
Successfully attached a subscription for: Virt Only Awesome OS for i386
Successfully attached a subscription for: Awesome OS for S390X
Successfully attached a subscription for: Awesome OS for i386
Successfully attached a subscription for: Awesome OS for S390
Successfully attached a subscription for: Awesome OS Server Bundled (2 Sockets, Standard Support)
Successfully attached a subscription for: Awesome OS for i386
Successfully attached a subscription for: Awesome OS for S390
Successfully attached a subscription for: Awesome OS for S390X
Successfully attached a subscription for: Awesome OS Instance Based (Standard Support)
Successfully attached a subscription for: Awesome OS Server Bundled (2 Sockets, Standard Support)
Successfully attached a subscription for: Awesome OS Server Bundled
Successfully attached a subscription for: Awesome OS Workstation Basic
Successfully attached a subscription for: Awesome OS Server Basic (multi-entitlement)
Successfully attached a subscription for: Awesome OS Server Basic
Successfully attached a subscription for: Awesome OS Server Basic (data center)
Successfully attached a subscription for: Awesome OS Modifier
Successfully attached a subscription for: Awesome OS Server Basic (data center)
Successfully attached a subscription for: Awesome OS Server Basic
Successfully attached a subscription for: Awesome OS Server Basic (multi-entitlement)
Successfully attached a subscription for: Awesome OS for All Arch (all per arch content)
Successfully attached a subscription for: Awesome OS Server Bundled
Successfully attached a subscription for: Awesome OS Modifier
Successfully attached a subscription for: Awesome OS Workstation Basic
Successfully attached a subscription for: Awesome OS Instance Based (Standard Support)
Successfully attached a subscription for: Awesome OS for All Arch (excpt for x86_64 content)
Successfully attached a subscription for: Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS for All Arch (x86content)
Successfully attached a subscription for: Awesome OS for All Arch (just x86_64 content)
Successfully attached a subscription for: Stackable with Awesome OS for x86_64
Successfully attached a subscription for: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Successfully attached a subscription for: Shared File System
Successfully attached a subscription for: RAM Limiting Package (8GB)
Successfully attached a subscription for: Cores Package (26 cores)
Successfully attached a subscription for: Multi-Attribute (non-stackable) (6 cores, 8GB)

# subscription-manager unsubscribe --all 
82 subscriptions removed at the server.
82 local certificates have been deleted.

Works fine on RHEL7.0 with sub-man 1.10.***

VERIFIED
Comment 10 Ludek Smid 2014-06-13 07:05:01 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.